Fork me on GitHub"

# skbio.stats.gradient.GroupResults

class `skbio.stats.gradient.``GroupResults`(name, trajectory, mean, info, message)

  Store the trajectory results of a group of a metadata category

  Attributes

  name | (str) The name of the group within the metadata category
  trajectory | (array like) The result trajectory in an 1-D numpy array
  mean | (float) The mean of the trajectory
  info | (dict) Any extra information computed by the trajectory algorithm. Depends on the algorithm
  message | (str) A message with information of the execution of the algorithm

  Methods

  `to_files`(out_f, raw_f) | Save the trajectory analysis results for a category group to files